Core - Bug # 38445

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Rejected Priority: Should have
Author: Philipp Gampe Category: Install Tool
Created: 2012-06-28 Assigned To:

Updated: 2013-07-29 Due date:

TYPOS3 Version: 6.0

PHP Version: 54

Complexity: easy

Is Regression:
Sprint Focus:

Subject: Bootstrap must check if submodules exist

Description

If you just clone the git repository and forget to use the --recursive parameter or to run git submodule, then you will get an error that
tx_extbase_utility_extension can not be found.

This is misleading and the Install Tool should check if the system extensions are present.

It should just check for the presence of the ext_localconf.php files.

History

#1 - 2012-06-29 15:40 - Philipp Gampe

Actually the install tool is too late to check for this. This must be check at bootstrap before extension ext_localconf.php files are read.

Please change subject to Bootstrap must check if submodules exist

#2 - 2012-06-29 15:54 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12442

#3 - 2012-06-29 16:09 - Chris topher
- Subject changed from Install Tool must check if submodules exist to Bootstrap must check if submodules exist

#4 - 2012-06-29 18:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12442

#5 - 2012-06-29 19:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/12442

2015-08-04 1/2



http://review.typo3.org/12442
http://review.typo3.org/12442
http://review.typo3.org/12442

#6 - 2012-06-30 11:13 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12442

#7 - 2012-06-30 12:02 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12442

#8 - 2012-06-30 13:24 - Susanne Moog
- Parent task set to #38086

#9 - 2012-06-30 14:32 - Philipp Gampe

The should be set back to new, as | abandoned the change for now (see discussion on gerrit).

Lets see what further refactoring brings and try to find a better place later.

#10 - 2012-07-01 11:39 - Christian Kuhn

- Status changed from Under Review to New

#11 - 2013-07-29 23:42 - Wouter Wolters

- Status changed from New to Rejected

We do not have submodules anymore in the core.. Extbase and Fluid are now required extension of the core.
